#ifndef _sim68k_cifh_
#define _sim68k_cifh_
#include <stdio.h>

#ifdef __cplusplus
extern "C"{
#endif
	void	initializeDevices(FILE* inputFileDesc,int baseIpPort);
	void	closeDevices();

	int /* break */ processStdin();

	void resetDevices();

	void pollDevices(unsigned long cycles);

	int /* IPL */ interruptPending(int* vector);

	void setInterrupt();

	int isIoAddress(unsigned long address);
	int readByte(unsigned long address,unsigned char* data);
	int readWord(unsigned long address,unsigned short* data);
	int readLong(unsigned long address,unsigned long* data);
	int writeByte(unsigned long address,unsigned char data);
	int writeWord(unsigned long address,unsigned short data);
	int writeLong(unsigned long address,unsigned long data);

#ifdef __cplusplus
	}
#endif


#endif /* _cifh_ */
