#ifndef _sim68k_devices_interrupth_
#define _sim68k_devices_interrupth_
#include "oscl/queue/priorityq.h"

/** */
class Interrupt : public Oscl::PrioritizedItem<Interrupt> {
	private:
		/** */
		int		vector;
		/** */
		int		level;
	public:
		/** */
		Interrupt(int vector,int level);
		/** */
		int		getVector();
		/** */
		int		getInterruptLevel();
		/** */
		bool	isHigherPriority(Interrupt* priority) throw();
		/** */
		bool	isLowerPriority(Interrupt* priority) throw();
	};

/** */
typedef Oscl::PriorityQueue<Interrupt>	InterruptQ;

/** */
extern InterruptQ	pendingInterrupts;

#endif
