#include "interrupt.h"

using namespace Oscl;

InterruptQ	pendingInterrupts;

Interrupt::Interrupt(int vect,int lev):vector(vect),level(lev){}

int		Interrupt::getVector(){
	return vector;
	}
int		Interrupt::getInterruptLevel(){
	return level;
	}

bool	Interrupt::isHigherPriority(Interrupt* priority) throw(){
	return (priority->level > level)? true : false;
	}

bool	Interrupt::isLowerPriority(Interrupt* priority) throw(){
	return (priority->level < level)? true : false;
	}

